%define module	Email-MIME-Modifier
%define name	perl-%{module}
%define version 1.43
%define release %mkrel 1

%define _provides_exceptions perl(Email::MIME)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Modify Email::MIME Objects Easily
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Email-Simple
BuildRequires:	perl-Email-MIME
BuildRequires:	perl-Email-MessageID
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Provides a number of useful methods for manipulating MIME messages.

These method are declared in the Email::MIME namespace, and are used with
Email::MIME objects.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Mon Jul 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.43-1mdv2007.0
- new version

* Fri Mar 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-3mdk
- don't provides perl(Email::MIME)

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-2mdk
- fix buildrequires

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-1mdk
- first mdk release  
